com.holonplatform.datastore.mongo.sync

## Interface MongoDatastore

- All Superinterfaces:
    com.holonplatform.core.datastore.ConfigurableDatastore, com.holonplatform.core.datastore.DataContextBound, com.holonplatform.core.datastore.Datastore, com.holonplatform.core.datastore.DatastoreCommodityHandler, com.holonplatform.core.datastore.DatastoreCommodityRegistrar<SyncMongoDatastoreCommodityContext>, com.holonplatform.core.datastore.DatastoreOperations<com.holonplatform.core.datastore.Datastore.OperationResult,com.holonplatform.core.property.PropertyBox,com.holonplatform.core.datastore.bulk.BulkInsert,com.holonplatform.core.datastore.bulk.BulkUpdate,com.holonplatform.core.datastore.bulk.BulkDelete,com.holonplatform.core.query.Query>, com.holonplatform.core.ExpressionResolver.ExpressionResolverSupport, MongoDatabaseHandler<com.mongodb.client.MongoDatabase>, Serializable, com.holonplatform.core.datastore.transaction.Transactional
  All Known Implementing Classes:
    DefaultMongoDatastore

      public interface MongoDatastore
      extends com.holonplatform.core.datastore.Datastore, MongoDatabaseHandler<com.mongodb.client.MongoDatabase>, com.holonplatform.core.datastore.DatastoreCommodityRegistrar<SyncMongoDatastoreCommodityContext>, com.holonplatform.core.datastore.transaction.Transactional

  MongoDB `Datastore` implementation.
  Since:
    5.2.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `MongoDatastore.Builder` `MongoDatastore` builder.

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.datastore.Datastore

      `com.holonplatform.core.datastore.Datastore.OperationResult, com.holonplatform.core.datastore.Datastore.OperationType`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.datastore.DatastoreOperations

      `com.holonplatform.core.datastore.DatastoreOperations.WriteOption`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MongoDatastore.Builder` | `builder()` Get a builder to create a `MongoDatastore` instance.

    - ### Methods inherited from interface com.holonplatform.core.datastore.Datastore

      `bulkDelete, bulkInsert, bulkUpdate, delete, insert, isTransactional, query, query, refresh, requireTransactional, save, update`

    - ### Methods inherited from interface com.holonplatform.core.datastore.DatastoreCommodityHandler

      `create, getAvailableCommodities, hasCommodity`

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver.ExpressionResolverSupport

      `addExpressionResolver, addExpressionResolvers, removeExpressionResolver`

    - ### Methods inherited from interface com.holonplatform.core.datastore.DataContextBound

      `getDataContextId`

    - ### Methods inherited from interface com.holonplatform.datastore.mongo.core.MongoDatabaseHandler

      `withDatabase, withDatabase`

    - ### Methods inherited from interface com.holonplatform.core.datastore.DatastoreCommodityRegistrar

      `getCommodityFactoryType, registerCommodity`

    - ### Methods inherited from interface com.holonplatform.core.datastore.transaction.Transactional

      `withTransaction, withTransaction, withTransaction, withTransaction`

- - ### Method Detail

    - #### builder

          static MongoDatastore.Builder builder()

      Get a builder to create a `MongoDatastore` instance.
      Returns:
        Datastore builder

Copyright © 2019 The Holon Platform. All rights reserved.